export interface IRange {
    startLineNumber: number;
    startColumn: number;
    endLineNumber: number;
    endColumn: number;
}
export interface IContentChange {
    range: IRange;
    rangeLength: number;
    text: string;
}
export interface IContentChangedEvent {
    changes: IContentChange[];
    eol?: string;
    versionId: number;
    isUndoing: boolean;
    isRedoing: boolean;
    isFlush?: boolean;
}
export interface IChangedContent {
    resource: string;
    changedEvent: IContentChangedEvent;
    value: string;
    conflictWithDisk: boolean;
}
export declare type ChangedContentQuery = {
    changedContent: IChangedContent | null;
};
export declare type ChangedContentQueryVariables = {
    resource: string;
};
export declare type RemoveChangedContentMutation = {
    removeChangedContent: boolean | null;
};
export declare type RemoveChangedContentMutationVariables = {
    resource: string;
};
